﻿using CarStateMachine.Model;

namespace CarStateMachine;

class Program
{
    static void Main(string[] args)
    {
        Car car = new Car();
        System.Console.WriteLine($"State: {car.CurrentState}");

        car.TakeAction(Car.Action.Start);
        System.Console.WriteLine($"State: {car.CurrentState}");

        car.TakeAction(Car.Action.Start);
        System.Console.WriteLine($"State: {car.CurrentState}");

        car.TakeAction(Car.Action.Accelerate);
        System.Console.WriteLine($"State: {car.CurrentState}");

        car.TakeAction(Car.Action.Stop);
        System.Console.WriteLine($"State: {car.CurrentState}");
    }
}
